/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Template: astra
Author: Brainstorm Force
Author URI: https://wpastra.com/about/?utm_source=theme_preview&utm_medium=author_link&utm_campaign=astra_theme
Description: Astra is fast, fully customizable &amp; beautiful WordPress theme suitable for blog, personal portfolio, business website and WooCommerce storefront. It is very lightweight (less than 50KB on frontend) and offers unparalleled speed. Built with SEO in mind, Astra comes with Schema.org code integrated and is Native AMP ready so search engines will love your site. It offers special features and templates so it works perfectly with all page builders like Elementor, Beaver Builder, Visual Composer, SiteOrigin, Divi, etc. Some of the other features: # WooCommerce Ready # Responsive # RTL &amp; Translation Ready # Extendible with premium addons # Regularly updated # Designed, Developed, Maintained &amp; Supported by Brainstorm Force. Looking for a perfect base theme? Look no further. Astra is fast, fully customizable and WooCommerce ready theme that you can use for building any kind of website!
Tags: custom-menu,custom-logo,entertainment,one-column,two-columns,left-sidebar,e-commerce,right-sidebar,custom-colors,editor-style,featured-images,full-width-template,microformats,post-formats,rtl-language-support,theme-options,threaded-comments,translation-ready,blog
Version: 4.3.1.1702458688
Updated: 2023-12-13 10:11:27
*/
.modal {
    z-index: 999999;
}
.opacity-1 {
    opacity: 1;
}
.palat_qty{
	height: 41px;
    padding: 6px 12px 8px;
    text-align: center;
    background: #ffffff;
    border: 1px solid #efefef;
    font-size: 20px;
    line-height: 20px;
    box-shadow: none;
	display: flex;
    align-items: center;
}

/*.product-unit-css*/
.product-unit {
    /*background: red;
    border-radius: 20px;
    color: #fff;
    padding: 5px 20px;*/
    /*font-size: 18px;*/
    line-height: normal;
}
.single-product .product-conversion .product-unit {
    background: #fff;
    padding: 3px;
    /*max-width: 170px;*/
    /*margin: 0 !important;*/
    text-align: center;
    font-size: 14px;
    border: 3px solid #80808094;
    color: #000;
    font-weight: bold;
    line-height: 1.5;
    width: 100% !important;
}
body.single-product .product-conversion .qib-button-wrapper {
    float: none;
    justify-content: start;
    margin: 0;
}
.woocommerce-checkout  .wc-gzd-item-desc p {
    font-size: 0.7em;
}
.woocommerce-checkout .ast-modern-checkout .woocommerce #order_review .woocommerce-checkout-review-order-table tr td{
	padding-left:0.9rem;
}
.woocommerce-page.woocommerce-checkout table.shop_table td div,
.woocommerce-checkout .woocommerce-checkout-review-order-table th,.woocommerce-checkout .woocommerce-checkout-review-order-table th{
    /*font-size: 18px;*/
}
.woocommerce-checkout .woocommerce-checkout-review-order-table th {
    padding-right: 0 !important;
}
body .woocommerce-checkout .woocommerce-checkout-review-order-table th.product-total {
    padding-right: 20px !important;
}
.woocommerce-checkout  .woocommerce ul#shipping_method li {
    font-size: initial;
}
th.product-quantity  {
    text-align: center;
    text-indent: -20px;
}
.woocommerce-checkout .product-unit {
    padding: 5px 20px;
}
.woocommerce-cart-form td.product-quantity span.product-unit {
    max-width: max-content;
    margin-left: auto;
}
.woocommerce-cart-form td.product-quantity {
    /* display: flex !important; */
    /* align-items: center; */
    /* padding: 0px 1rem !important; */
}
.cart button.single_add_to_cart_button {
    clear: both;
}
/*--------------*/
.woocommerce-js div.product form.cart .button.single_add_to_cart_button {
    padding: 14px 20px;
}
.woocommerce-js .quantity .qty {
    width: 5.5rem;
}

@media only screen and (max-width: 600px) {
	body .qib-button-wrapper {
		float: left;
	}
}

.modal-backdrop {
    opacity: 0;
    -webkit-transition: opacity .45s cubic-bezier(.3,0,.15,1), visibility .45s linear;
    transition: opacity .45s cubic-bezier(.3,0,.15,1), visibility .45s linear;
    background-color: rgba(0, 0, 0, .5);
	z-index: 99999;
}
.modal-backdrop.modal-backdrop-open {
    opacity: 1;
}
.loader {
    display: inline-block;
    width: 26px;
    height: 26px;
    vertical-align: text-bottom;
    border: 2px solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite;
}
.text-primary, .loader {
    color: #ffd100 !important;
}
.modal-backdrop>.loader {
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -1rem;
    margin-top: -1rem;
}
.modal-backdrop>.loader:before {
    display: none !important;
}
.astra-cart-drawer {
    overflow-y: scroll;
}
.astra-cart-drawer .astra-cart-drawer-content, .astra-cart-drawer .astra-cart-drawer-content .widget_shopping_cart, .astra-cart-drawer .astra-cart-drawer-content .widget_shopping_cart_content {
	height: auto;
}
.woocommerce .widget_shopping_cart .cart_list li .cart-list-top, .woocommerce.widget_shopping_cart .cart_list li .cart-list-top {
    padding: 0 0 0 5em;
    position: relative;
    margin: 0 0 20px;
}
.woocommerce-js ul.product_list_widget li .cart-list-top img {
    top: 30%;
    transform: translateY(-30%);
}
.woocommerce-js .widget_shopping_cart .widget_shopping_cart_content .total, .woocommerce-js.widget_shopping_cart .widget_shopping_cart_content .total {
    padding: 5px 10px;
}
.woocommerce-js.woocommerce-page ul.products li.product.product-category {
    padding-bottom: 30px;
}
.woocommerce-js ul.products li.product.product-category .woocommerce-loop-category__title, .woocommerce-page ul.products li.product.product-category .woocommerce-loop-category__title {
    bottom: -39px;
    width: 100%;
    left: 0px;
}
.woocommerce-js ul.products li.product.product-category .woocommerce-loop-category__title .count, .woocommerce-page ul.products li.product.product-category .woocommerce-loop-category__title .count {
    display: none;
}

#order_review .wc-gzd-checkbox-placeholder:not(:empty) {
	margin-bottom: 20px;
}

.ast-header-woo-cart .ast-site-header-cart-data .btn-continue-shopping {
	display: none !important;
}

form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
	margin-bottom: 30px;
	padding-bottom: 10px !important;
}

form #order_review_heading:not(.elementor-widget-woocommerce-checkout-page #order_review_heading) {
	padding: 0;
	margin-bottom: 15px;
}

form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review), form #order_review_heading:not(.elementor-widget-woocommerce-checkout-page #order_review_heading) {
	font-size: 0.9rem !important;
}

h3#order_payment_heading {
	font-size: 1.2rem;
	padding: 20px 0 14px;
	margin: 0 0 20px;
	border-bottom: 1px solid var(--ast-border-color);
	font-weight: 700;
}

table.woocommerce-checkout-review-order-table tr.wc-gzd-cart-item-has-thumbnail .wc-gzd-cart-item-name-wrapper {
	align-items: center;
	display: flex;
}

.woocommerce-page.woocommerce-checkout form #order_review td.product-name .product-quantity, .woocommerce.woocommerce-checkout form #order_review td.product-name .product-quantity {
	flex: 1 1 0;
	text-align: right;
}
.woocommerce-checkout.woocommerce-order-received .woocommerce-order .woocommerce-order-details table.shop_table .product-quantity {
	display: block;
}

.woocommerce-page.woocommerce-checkout form #order_review td.product-name .ast-product-image, .woocommerce.woocommerce-checkout form #order_review td.product-name .ast-product-image {
	flex: 1 1 0;
	max-width: 85%;
}

.woocommerce form .form-row, .woocommerce-page form .form-row {
	display: inherit;
}

.ast-site-header-cart-data .cart-list-bottom.d-flex {
    display: block !important;
}
.ast-site-header-cart-data .cart-list-bottom.d-flex .ast-mini-cart-price-wrap {
    display: inline-flex;
}
.cart-list-bottom.d-flex .ast-mini-cart-price-wrap {
    order: 1;
}
.cart-list-bottom.d-flex .ast-mini-cart-price-wrap + .product-unit {
    margin: 0 10px 0 0 !important;
}
.cart-list-bottom.d-flex .ast-mini-cart-price-wrap + .product-unit + a.remov.remove_from_cart_button {
    order: 3;
}
.astra-cart-drawer .astra-cart-drawer-content .woocommerce-mini-cart-item .ast-mini-cart-price-wrap {
	margin: 0;
}
.ast-site-header-cart-data li.woocommerce-mini-cart-item.mini_cart_item, .woocommerce .ast-site-header-cart-data li.woocommerce-mini-cart-item.mini_cart_item {
    padding: .5em .5em .5em .5em;
}
body .ast-site-header-cart-data .qib-button-wrapper {
    float: none;
}
.ast-site-header-cart .widget_shopping_cart .cart_list a.remov.remove_from_cart_button {
    display: none;
}
.ast-above-header-wrap .ast-site-header-cart .widget_shopping_cart .cart_list a.remove {
    display: block !important;
}

.woocommerce-page.woocommerce-checkout #payment ul.payment_methods,
.woocommerce.woocommerce-checkout #payment ul.payment_methods,
.woocommerce-checkout #payment div.payment_box {
    font-size: 0.9rem;
}
.woocommerce .woocommerce-customer-details .col2-set .col-1, .woocommerce-page .woocommerce-customer-details .col2-set .col-1,
.woocommerce .woocommerce-customer-details .col2-set .col-2, .woocommerce-page .woocommerce-customer-details .col2-set .col-2 {
    width: auto !important;
    max-width: none;
	float: none;
}
.woocommerce .col2-set .col-2, .woocommerce-page .woocommerce-customer-details .col2-set .col-2 {
	margin: 30px 0px 0;
}
.woocommerce-js .woocommerce-customer-details ul.wc-item-meta, .woocommerce-js .woocommerce-order-details ul.wc-item-meta {
    padding: 0 0 0 20px;
    margin: 10px 0 0;
}

@media only screen and (max-width: 921px) {
	.woocommerce .col2-set .col-1, .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-1, .woocommerce-page .col2-set .col-2 {
		float: none;
		max-width: unset;
		margin: 30px 0px 0;
	}
	form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
		padding: 0 1.5em !important;
	}
}


@media only screen and (max-width: 920px) {
	.single-product .product-unit {
		/*max-width: 160px;*/
		max-width: 14.4rem;
	}
}

@media only screen and (max-width: 768px) {
	.single-product .qib-button-wrapper .quantity input.input-text.qty.text {
		width: 8.7rem;
	}
}

@media only screen and (max-width: 600px) {
	.woocommerce-checkout ul#shipping_method li:not(.elementor-widget-woocommerce-cart #shipping_method li){
		font-size:12px;
	}
	.woocommerce-variation-add-to-cart.variations_button{
		display: grid;
		width: 41%;
	}
	.woocommerce-checkout .product-unit{
		font-size: 0.72rem;
        padding: 0;
	}
	.product-unit{
		font-size:16px;
	}
	.single_add_to_cart_button.button{
		margin: 10px auto;
	}
	.woocommerce-js div.product form.cart .button.single_add_to_cart_button {
		padding: 14px 20px;
		margin: 20px auto;
	}
	form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
        font-size: 0.9rem !important;
    }
	.woocommerce-page.woocommerce-checkout table.shop_table thead, .woocommerce.woocommerce-checkout table.shop_table thead {
		display: none;
	}
	body .woocommerce-mini-cart-item .qib-button-wrapper {
        float: left;
    }
	.qib-button-wrapper + .ast-mini-cart-price-wrap, .qib-button-wrapper + .ast-mini-cart-price-wrap + .product-unit {
		line-height: 41px;
		vertical-align: middle;
	}
}

@media screen and (max-width:480px){
	.woocommerce-checkout ul#shipping_method li:not(.elementor-widget-woocommerce-cart #shipping_method li){
		font-size: 0.72rem;
	}
    table.woocommerce-checkout-review-order-table tr.wc-gzd-cart-item-has-thumbnail .wc-gzd-cart-item-name-wrapper {
		flex-direction: column;
		align-items: start;
    }
    table.woocommerce-checkout-review-order-table tr.wc-gzd-cart-item-has-thumbnail .wc-gzd-cart-item-name-wrapper .wc-gzd-cart-item-thumbnail {
        min-width: 45px;
    }
}

@media (min-width: 922px) {
    .woocommerce.woocommerce-checkout form #customer_details.col2-set .col-1, .woocommerce.woocommerce-checkout form #customer_details.col2-set .col-2, .woocommerce-page.woocommerce-checkout form #customer_details.col2-set .col-1, .woocommerce-page.woocommerce-checkout form #customer_details.col2-set .col-2 {
        float: none;
        width: auto;
        max-width: unset;
    }
}